package modeles;

import java.util.InputMismatchException;
import java.util.Scanner;

public class Clavier {
	private static Scanner scanner = new Scanner(System.in);
	
	public static String entrerClavierString() {
		String chaine="";
		
		try {
			chaine = scanner.next();
		} catch (InputMismatchException e) {
			System.out.println("La valeur lu au clavier n'est pas une chaine");
		}
		return chaine;
	}
	
	public static int entrerClavierInt() {
		int entier=0;
		try {
			entier = scanner.nextInt();
		} catch (InputMismatchException e) {
			System.out.println("La valeur lu au clavier n'est pas un entier");
		}
		return entier;		
	}
	
	public static boolean entrerClavierBoolean() {
		boolean bool=true;
		try {
			bool = scanner.nextBoolean();
		} catch (InputMismatchException e) {
			System.out.println("La valeur lu au clavier n'est pas un booléen");
		}
		return bool;		
	}

}
